#ifndef DetectorSensitiveDetector_h
#define DetectorSensitiveDetector_h 1

#include "G4VSensitiveDetector.hh"

class G4Step;
class G4TouchableHistory;

class DetectorSensitiveDetector : public G4VSensitiveDetector
{
  public:
    explicit DetectorSensitiveDetector(const G4String& name);
    virtual ~DetectorSensitiveDetector();

    virtual G4bool ProcessHits(G4Step* step, G4TouchableHistory* history) override;
};

#endif
